# current-depth-in-category.sh
# Version 0.0
# "graphein" Tools
# See http://www.CircuitousRoot.com/graphein/ for documentation.
#
# Copyright 2006, 2008 by David M. MacMillan and Rollande Krandall.
#
# This work is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#    
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.
# 59 Temple Place, Suite 330
# Boston, MA  02111-1307
# USA
# 
# Circuitous Root is a registered trademark of David M. MacMillan and 
# Rollande Krandall
# 
# Presented originally by Circuitous Root (R). http://www.CircuitousRoot.com/

#
# Determine the current depth within the current category,
# starting from 1.  
# We must always be at least 1 deep in some category, because
#    - a directory which starts a new category isn't itself yet part of it
#      (but is still part of its parents' category)
#    - the "home" level directory has no category, and can be ignored
#      (we can safely generate spurious values here when in it)
#
# So, start at 1, and start looking 1 level up.  Proceed upwards, counting,
# until a directory with an "images-mastered-for-scaling/link-category-sfN.png"
# file is encountered.  (The second test after the && just makes sure
# that we don't spiral upwards infinitely when run from the home directory.)

depth=1
while [ ! -e ../images-mastered-for-scaling/new-link-category-sf?.png ] && \
      [ -d ../images-mastered-for-scaling ]; do
   depth=`expr $depth + 1`
   cd ..
done
echo $depth

