# insert-img-dimensions.awk
# Version 0.0
# "graphein" Tools
# See http://www.CircuitousRoot.com/graphein/ for documentation.
#
# Copyright 2006, 2008 by David M. MacMillan and Rollande Krandall.
#
# This work is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#    
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.
# 59 Temple Place, Suite 330
# Boston, MA  02111-1307
# USA
# 
# Circuitous Root is a registered trademark of David M. MacMillan and 
# Rollande Krandall
# 
# Presented originally by Circuitous Root (R). http://www.CircuitousRoot.com/


# Assume that the "src=..." field does not also include the "/>".
# Perhaps the easiest way to do this in the XSL is to generate
# an "alt" attribute after the "src" attribute.
#
# Note: matching on 'g"' for the end of the img name matches both jpg and png.
{
   field = 1
   while (field <= NF) {
      printf "%s ", $field
      if (substr($field,0,4) == "src=") {
         if (match($field,"g\"")) {
            command_for_width = "identify " substr($field,6,match($field,"g\"")-5) " | awk '{print substr($3,1,match($3,\"x\")-1)}'"
            command_for_width | getline width
            close(command_for_width)

            command_for_height = "identify " substr($field,6,match($field,"g\"")-5) " | awk '{print substr($3,match($3,\"x\")+1)}'"
            command_for_height | getline height
            close(command_for_height)

            printf "width=\"%s\" height=\"%s\" ", width, height
         } else {
            command_for_width = "identify " substr($field,6,match($field,"f\"")-5) " | awk '{print substr($3,1,match($3,\"x\")-1)}'"
            command_for_width | getline width
            close(command_for_width)

            command_for_height = "identify " substr($field,6,match($field,"f\"")-5) " | awk '{print substr($3,match($3,\"x\")+1)}'"
            command_for_height | getline height
            close(command_for_height)

            printf "width=\"%s\" height=\"%s\" ", width, height
         }
      }
      field++
   }
   printf "\n"
}
